import './head.css'
import BalanceHead from '../../components/balance/BalanceHead.tsx';
import RechargeHead from '../../components/recharge/RechargeHead.tsx';
import MessageHead from '../../components/message/MessageHead.tsx';
import {Divider, Dropdown, MenuProps, Space} from "antd";
import {DownOutlined, UserOutlined, KeyOutlined, LogoutOutlined} from "@ant-design/icons";

export default function Head() {

    const items: MenuProps['items'] = [
        {
            key: 'userinfo',
            label: (
                <div className="dropdown-item">
                    <UserOutlined />
                    <span className="title">个人信息</span>
                </div>
            ),
        },
        {
            key: 'changePass',
            label: (
                <div className="dropdown-item">
                    <KeyOutlined />
                    <span className="title">修改密码</span>
                </div>
            ),
        },
        {
            key: 'logout',
            label: (
                <div className="dropdown-item">
                    <LogoutOutlined />
                    <span className="title">退出系统</span>
                </div>
            ),
        },
    ]

    return (
        <div className="head">
            <div className="center">
                <div className="left">
                    <span className="sys-title">AI引擎软著</span>
                    <Divider type="vertical"/>
                    <span className="sys-title-sub">软件著作权一站式服务平台</span>
                </div>
                <div className="right">
                    <BalanceHead/>
                    <RechargeHead/>
                    <MessageHead/>
                    <div style={{display: 'flex', alignContent: 'center', padding: '0 10px', cursor: 'pointer'}}>
                        <Dropdown menu={{
                            items: items
                        }}>
                            <Space>
                                您好：18888888
                                <DownOutlined/>
                            </Space>
                        </Dropdown>
                    </div>
                </div>
            </div>
        </div>
    )
}
